import { Component, NgModule, ViewChild } from '@angular/core';
import { IgComboComponent } from "../../src/igniteui.angular2";
import { Northwind } from "./../data/northwind";
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic }    from '@angular/platform-browser-dynamic';
import { FormsModule } from '@angular/forms';

declare var jQuery: any;
@Component({
	selector: 'my-app',
	templateUrl: "./igComboTemplate.html"
})
export class AppComponent {
	public options: IgCombo;
	public northwind: any;
	public comboVal: any = 20;

	constructor() {
		this.options = {
			valueKey: "ProductID",
			textKey: "ProductName",
			width: "100%",
			rendered: (ev, ui) => {
				this.fetchData(ui.owner);
			}
		};
	}

	fetchData(combo) {
		combo.options.dataSource = Northwind.getData();
	}
}

@NgModule({
	imports:      [ BrowserModule, FormsModule ],
	declarations: [ AppComponent, IgComboComponent ],
	bootstrap:    [ AppComponent ]
})
export class AppModule {}

platformBrowserDynamic().bootstrapModule(AppModule);